// 目前展览存在2张表，一张临时表和中间表，只有审核通过的在最终表，未审核和审核驳回等在临时表
// 新增和修改也只是存在临时表
// 最终表的数据不能修改

import request from '@/utils/request'

// 获取布展列表
export function getList(data) {
  return request({
    url: '/bizExhibition/listByPage',
    method: 'post',
    data
  })
}

// 获取布展列表（最终表）
export function getListPer(data) {
  return request({
    url: '/bizExhibition/listByPagePer',
    method: 'post',
    data
  })
}


// 获取布展列表（临时表）
export function getListPerTemp(data) {
  return request({
    url: '/bizExhibitionTemp/listByPagePer',
    method: 'post',
    data
  })
}


// 新增修改（临时表）
export function addOrUpdateDisplayTemp(data) {
  return request({
    url: '/bizExhibitionTemp/addOrUpdate',
    method: 'post',
    data
  })
}

// 新增（最终表），因为最终表不允许修改所以废弃
export function addDisplay(data) {
  return request({
    url: '/bizExhibition/add',
    method: 'post',
    data
  })
}
// 修改（最终表），因为最终表不允许修改所以废弃
export function editDisplay(data) {
  return request({
    url: '/bizExhibition/update',
    method: 'put',
    data
  })
}

// 修改展览（最终表）
export function getDisplayById(params) {
  return request({
    url: '/bizExhibition/listById',
    method: 'get',
    params
  })
}

// 修改展览（临时表）
export function getDisplayByIdTemp(params) {
  return request({
    url: '/bizExhibitionTemp/detailById',
    method: 'get',
    params
  })
}

// 删除展览（最终表）
export function deleteDisplay(data) {
  return request({
    url: '/bizExhibition/delete',
    method: 'delete',
    data
  })
}
// 删除展览（临时表）
export function deleteDisplayTemp(data) {
  return request({
    url: '/bizExhibitionTemp/delete',
    method: 'delete',
    data
  })
}


// 获取展览数量统计
export function getExhibitionStatistic(params) {
  return request({
    url: '/bizStatistic/getExhibitionStatistic',
    method: 'get',
    params
  })
}


// 查询审批结果
export function getDisplayCheckById(params) {
  return request({
    url: '/bizExhibition/getCheckById',
    method: 'get',
    params
  })
}

// 审批
export function postCheck(data) {
  return request({
    url: '/bizCheck/check',
    method: 'post',
    data
  })
}



